glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# Glib::ShellError Class Reference
Shell-related Utilities

Exception class for shell utility errors. More...

`#include <glibmm/shell.h>`

Inheritance diagram for Glib::ShellError:
[legend]

List of all members.

## Public Types
enum | Code { BAD_QUOTING, EMPTY_STRING, FAILED }
## Public Member Functions
| ShellError (Code error_code, const Glib::ustring& error_message)
| ShellError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for shell utility errors.

## Member Enumeration Documentation

enum Glib::ShellError::Code

Enumerator:

  BAD_QUOTING |
  EMPTY_STRING |
  FAILED |

## Constructor & Destructor Documentation

Glib::ShellError::ShellError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::ShellError::ShellError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::ShellError::code | ( |  | ) | const

Reimplemented from Glib::Error.